query AllProjectsQuery($where: ProjectsWhere, $dateRange: DateTimeInput!) {
  projects(where: $where) {
    message
    success
    projects {
      id
      name
      apiKeys {
        id
        key
        name
        requests {
          id
        }
      }
      aggregate {
        apiKeyCount
        requestCount(options: $dateRange)
        averageRequestExecutionTime(options: $dateRange)
        averageContentLength(options: $dateRange)
      }
    }
  }
}
